## org.apache.cassandra.thrift
Class NotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cassandra.thrift.NotFoundException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<NotFoundException>, org.apache.thrift.TBase<NotFoundException._Fields>

    public class NotFoundException

extends java.lang.Exception
implements org.apache.thrift.TBase<NotFoundException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<NotFoundException>

A specific column was requested that does not exist.

See Also:
  Serialized Form

Nested Class Summary
`static class` `NotFoundException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`static java.util.Map<NotFoundException._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

Constructor Summary
`NotFoundException()`
`NotFoundException(NotFoundException other)` Performs a deep copy on other.

Method Summary
`NotFoundException` `clone()` Deprecated.
`int` `compareTo(NotFoundException other)`
`NotFoundException` `deepCopy()`
`boolean` `equals(NotFoundException that)`
`boolean` `equals(java.lang.Object that)`
`java.lang.Object` `getFieldValue(int fieldId)`
`java.lang.Object` `getFieldValue(NotFoundException._Fields field)`
`int` `hashCode()`
`boolean` `isSet(int fieldID)`
`boolean` `isSet(NotFoundException._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(int fieldID, java.lang.Object value)`
`void` `setFieldValue(NotFoundException._Fields field, java.lang.Object value)`
`java.lang.String` `toString()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### metaDataMap

    public static final java.util.Map<NotFoundException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### NotFoundException

    public NotFoundException()

### NotFoundException

    public NotFoundException(NotFoundException other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public NotFoundException deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### clone

    @Deprecated
    public NotFoundException clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### setFieldValue

    public void setFieldValue(NotFoundException._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(NotFoundException._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### isSet

    public boolean isSet(NotFoundException._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(NotFoundException that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(NotFoundException other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<NotFoundException>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<NotFoundException._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2010 The Apache Software Foundation